Package be.vlaanderen.mercurius.mohm.common.v7

# Class CreateApplicationRequestType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.CreateApplicationRequestType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class CreateApplicationRequestType extends Object implements Serializable
Groeperend element voor een nieuwe aanvraag of hernieuwing.

Java class for CreateApplicationRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreateApplicationRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Reason" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationReasonType"/>
             <element name="DependentPerson" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DependentPersonType"/>
             <element name="MobilityTool" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationMobilityToolType"/>
             <element name="BTC" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationBTCType" minOccurs="0"/>
             <element name="IsSecondWheelchair" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="IsEarlyRenewalPathologicalChange" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="IsEarlyRenewalUnusableMobilityTool" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="HasRecognitionVAPH" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="HasSDA" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="IsProfessionalUse" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="Bandagist" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}BandagistType"/>
             <element name="Enterprise" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}EnterpriseType"/>
             <element name="ApplicationDocument" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DocumentListType" minOccurs="0"/>
             <element name="Prescription" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}PrescriptionType" minOccurs="0"/>
             <element name="WheelchairAdviceReport" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationWheelchairAdviceReportType" minOccurs="0"/>
             <element name="MotivationReport" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DocumentListType" minOccurs="0"/>
             <element name="TestReport" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DocumentListType" minOccurs="0"/>
             <element name="IsAccident" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="Hospitalization" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}HospitalizationType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateApplicationRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocumentListType`
  `getApplicationDocument()`
  Ingescande versie van het aanvraagdocument.
  `BandagistType`
  `getBandagist()`
  Groeperend element met informatie over de verstrekker.
  `ApplicationBTCType`
  `getBTC()`
  Groeperend element voor het luik BTC in een aanvraag.
  `DependentPersonType`
  `getDependentPerson()`
  Groeperend element met informatie over de zorgvrager.
  `EnterpriseType`
  `getEnterprise()`
  Groeperend element met informatie over de firma van de verstrekker.
  `HospitalizationType`
  `getHospitalization()`
  Groeperend element met informatie over een ziekenhuisopname.
  `ApplicationMobilityToolType`
  `getMobilityTool()`
  Groeperend element met informatie over het gevraagde mobiliteitshulpmiddel en/of de aanpassing en/of het budget onderhoud en herstel.
  `DocumentListType`
  `getMotivationReport()`
  Ingescande versie van het motiveringsrapport.
  `PrescriptionType`
  `getPrescription()`
  Groeperend element met informatie over het medisch voorschrift.
  `ApplicationReasonType`
  `getReason()`
  Veld voor de reden waarom de aanvraag wordt verstuurd.
  `DocumentListType`
  `getTestReport()`
  Ingescande versie van het testrapport.
  `ApplicationWheelchairAdviceReportType`
  `getWheelchairAdviceReport()`
  Groeperend element met informatie over het Rolstoel Adviesrapport (RAR).Een aanvraag moet altijd een medisch voorschrift en/of een RAR bevatten of de beide.
  `boolean`
  `isHasRecognitionVAPH()`
  Ja/neen veld om aan te geven of de persoon een erkenning van het VAPH heeft.
  `boolean`
  `isHasSDA()`
  Ja/neen veld om aan te geven of het om een Snel Degeneratieve Aandoening gaat.
  `boolean`
  `isIsAccident()`
  Ja/neen veld om aan te geven of het om een ongeval gaat.
  `boolean`
  `isIsEarlyRenewalPathologicalChange()`
  Ja/neen veld om aan te geven of het om een voortijdige hernieuwing gaat van het mobiliteitshulpmiddel of de aanpassing omwille van een pathologische wijziging.
  `boolean`
  `isIsEarlyRenewalUnusableMobilityTool()`
  Ja/neen veld om aan te geven of het om een voortijdige hernieuwing gaat van het mobiliteitshulpmiddel of de aanpassing omdat het mobiliteitshulpmiddel onbruikbaar is geworden.
  `boolean`
  `isIsProfessionalUse()`
  Ja/neen veld om aan te geven of een mobiliteitshulpmiddel voor professionele doeleinden wordt gebruikt.
  `boolean`
  `isIsSecondWheelchair()`
  Ja/neen veld om aan te geven of het om een aanvraag van een 2de rolstoel gaat.
  `void`
  `setApplicationDocument(DocumentListType value)`
  Sets the value of the applicationDocument property.
  `void`
  `setBandagist(BandagistType value)`
  Sets the value of the bandagist property.
  `void`
  `setBTC(ApplicationBTCType value)`
  Sets the value of the btc property.
  `void`
  `setDependentPerson(DependentPersonType value)`
  Sets the value of the dependentPerson property.
  `void`
  `setEnterprise(EnterpriseType value)`
  Sets the value of the enterprise property.
  `void`
  `setHasRecognitionVAPH(boolean value)`
  Sets the value of the hasRecognitionVAPH property.
  `void`
  `setHasSDA(boolean value)`
  Sets the value of the hasSDA property.
  `void`
  `setHospitalization(HospitalizationType value)`
  Sets the value of the hospitalization property.
  `void`
  `setIsAccident(boolean value)`
  Sets the value of the isAccident property.
  `void`
  `setIsEarlyRenewalPathologicalChange(boolean value)`
  Sets the value of the isEarlyRenewalPathologicalChange property.
  `void`
  `setIsEarlyRenewalUnusableMobilityTool(boolean value)`
  Sets the value of the isEarlyRenewalUnusableMobilityTool property.
  `void`
  `setIsProfessionalUse(boolean value)`
  Sets the value of the isProfessionalUse property.
  `void`
  `setIsSecondWheelchair(boolean value)`
  Sets the value of the isSecondWheelchair property.
  `void`
  `setMobilityTool(ApplicationMobilityToolType value)`
  Sets the value of the mobilityTool property.
  `void`
  `setMotivationReport(DocumentListType value)`
  Sets the value of the motivationReport property.
  `void`
  `setPrescription(PrescriptionType value)`
  Sets the value of the prescription property.
  `void`
  `setReason(ApplicationReasonType value)`
  Sets the value of the reason property.
  `void`
  `setTestReport(DocumentListType value)`
  Sets the value of the testReport property.
  `void`
  `setWheelchairAdviceReport(ApplicationWheelchairAdviceReportType value)`
  Sets the value of the wheelchairAdviceReport property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateApplicationRequestType

    public CreateApplicationRequestType()

- ## Method Details

  - ### getReason

    public ApplicationReasonType getReason()
    Veld voor de reden waarom de aanvraag wordt verstuurd. Dit kan een nieuwe aanvraag of hernieuwing zijn. Deze reden mag nooit leeg zijn.
    Returns:
      possible object is `ApplicationReasonType`

  - ### setReason

    public void setReason(ApplicationReasonType value)
    Sets the value of the reason property.
    Parameters:
      `value` - allowed object is `ApplicationReasonType`
    See Also:
      - `getReason()`

  - ### getDependentPerson

    public DependentPersonType getDependentPerson()
    Groeperend element met informatie over de zorgvrager. INSZ is een verplicht veld in dit element.
    Returns:
      possible object is `DependentPersonType`

  - ### setDependentPerson

    public void setDependentPerson(DependentPersonType value)
    Sets the value of the dependentPerson property.
    Parameters:
      `value` - allowed object is `DependentPersonType`
    See Also:
      - `getDependentPerson()`

  - ### getMobilityTool

    public ApplicationMobilityToolType getMobilityTool()
    Groeperend element met informatie over het gevraagde mobiliteitshulpmiddel en/of de aanpassing en/of het budget onderhoud en herstel. Er moet minimum één mobiliteitshulpmiddel of één aanpassing of een budget onderhoud en herstel in de aanvraag zijn opgenomen.
    Returns:
      possible object is `ApplicationMobilityToolType`

  - ### setMobilityTool

    public void setMobilityTool(ApplicationMobilityToolType value)
    Sets the value of the mobilityTool property.
    Parameters:
      `value` - allowed object is `ApplicationMobilityToolType`
    See Also:
      - `getMobilityTool()`

  - ### getBTC

    public ApplicationBTCType getBTC()
    Groeperend element voor het luik BTC in een aanvraag. In dit element kan aangevinkt worden dat de aanvraag naar BTC moet gaan, een bestek worden toegevoegd en een BTC bijkomende tegemoetkoming worden aangevraagd.
    Returns:
      possible object is `ApplicationBTCType`

  - ### setBTC

    public void setBTC(ApplicationBTCType value)
    Sets the value of the btc property.
    Parameters:
      `value` - allowed object is `ApplicationBTCType`
    See Also:
      - `getBTC()`

  - ### isIsSecondWheelchair

    public boolean isIsSecondWheelchair()
    Ja/neen veld om aan te geven of het om een aanvraag van een 2de rolstoel gaat. Dit veld wordt niet meer gebruikt, aangezien er aparte prestatiecodes zijn aangemaakt voor 2de rolstoelen. Het is wel een verplicht element dat altijd op false moet staan.

  - ### setIsSecondWheelchair

    public void setIsSecondWheelchair(boolean value)
    Sets the value of the isSecondWheelchair property.

  - ### isIsEarlyRenewalPathologicalChange

    public boolean isIsEarlyRenewalPathologicalChange()
    Ja/neen veld om aan te geven of het om een voortijdige hernieuwing gaat van het mobiliteitshulpmiddel of de aanpassing omwille van een pathologische wijziging.

  - ### setIsEarlyRenewalPathologicalChange

    public void setIsEarlyRenewalPathologicalChange(boolean value)
    Sets the value of the isEarlyRenewalPathologicalChange property.

  - ### isIsEarlyRenewalUnusableMobilityTool

    public boolean isIsEarlyRenewalUnusableMobilityTool()
    Ja/neen veld om aan te geven of het om een voortijdige hernieuwing gaat van het mobiliteitshulpmiddel of de aanpassing omdat het mobiliteitshulpmiddel onbruikbaar is geworden.

  - ### setIsEarlyRenewalUnusableMobilityTool

    public void setIsEarlyRenewalUnusableMobilityTool(boolean value)
    Sets the value of the isEarlyRenewalUnusableMobilityTool property.

  - ### isHasRecognitionVAPH

    public boolean isHasRecognitionVAPH()
    Ja/neen veld om aan te geven of de persoon een erkenning van het VAPH heeft.

  - ### setHasRecognitionVAPH

    public void setHasRecognitionVAPH(boolean value)
    Sets the value of the hasRecognitionVAPH property.

  - ### isHasSDA

    public boolean isHasSDA()
    Ja/neen veld om aan te geven of het om een Snel Degeneratieve Aandoening gaat. Indien ja, dan zal een andere procedure worden gevolgd bij aankoop van een mobiliteitshulpmiddel. Voor verhuur zijn er specifieke prestatiecodes en hoeft dit veld niet op ja te worden gezet.

  - ### setHasSDA

    public void setHasSDA(boolean value)
    Sets the value of the hasSDA property.

  - ### isIsProfessionalUse

    public boolean isIsProfessionalUse()
    Ja/neen veld om aan te geven of een mobiliteitshulpmiddel voor professionele doeleinden wordt gebruikt.

  - ### setIsProfessionalUse

    public void setIsProfessionalUse(boolean value)
    Sets the value of the isProfessionalUse property.

  - ### getBandagist

    public BandagistType getBandagist()
    Groeperend element met informatie over de verstrekker.
    Returns:
      possible object is `BandagistType`

  - ### setBandagist

    public void setBandagist(BandagistType value)
    Sets the value of the bandagist property.
    Parameters:
      `value` - allowed object is `BandagistType`
    See Also:
      - `getBandagist()`

  - ### getEnterprise

    public EnterpriseType getEnterprise()
    Groeperend element met informatie over de firma van de verstrekker.
    Returns:
      possible object is `EnterpriseType`

  - ### setEnterprise

    public void setEnterprise(EnterpriseType value)
    Sets the value of the enterprise property.
    Parameters:
      `value` - allowed object is `EnterpriseType`
    See Also:
      - `getEnterprise()`

  - ### getApplicationDocument

    public DocumentListType getApplicationDocument()
    Ingescande versie van het aanvraagdocument.
    Returns:
      possible object is `DocumentListType`

  - ### setApplicationDocument

    public void setApplicationDocument(DocumentListType value)
    Sets the value of the applicationDocument property.
    Parameters:
      `value` - allowed object is `DocumentListType`
    See Also:
      - `getApplicationDocument()`

  - ### getPrescription

    public PrescriptionType getPrescription()
    Groeperend element met informatie over het medisch voorschrift. Een aanvraag moet altijd een medisch voorschrift en/of een RAR bevatten of de beide. Het aanvraagdocument kan in één van deze bijlagen worden opgenomen.
    Returns:
      possible object is `PrescriptionType`

  - ### setPrescription

    public void setPrescription(PrescriptionType value)
    Sets the value of the prescription property.
    Parameters:
      `value` - allowed object is `PrescriptionType`
    See Also:
      - `getPrescription()`

  - ### getWheelchairAdviceReport

    public ApplicationWheelchairAdviceReportType getWheelchairAdviceReport()
    Groeperend element met informatie over het Rolstoel Adviesrapport (RAR).Een aanvraag moet altijd een medisch voorschrift en/of een RAR bevatten of de beide. Het aanvraagdocument kan in één van deze bijlagen worden opgenomen.
    Returns:
      possible object is `ApplicationWheelchairAdviceReportType`

  - ### setWheelchairAdviceReport

    public void setWheelchairAdviceReport(ApplicationWheelchairAdviceReportType value)
    Sets the value of the wheelchairAdviceReport property.
    Parameters:
      `value` - allowed object is `ApplicationWheelchairAdviceReportType`
    See Also:
      - `getWheelchairAdviceReport()`

  - ### getMotivationReport

    public DocumentListType getMotivationReport()
    Ingescande versie van het motiveringsrapport.
    Returns:
      possible object is `DocumentListType`

  - ### setMotivationReport

    public void setMotivationReport(DocumentListType value)
    Sets the value of the motivationReport property.
    Parameters:
      `value` - allowed object is `DocumentListType`
    See Also:
      - `getMotivationReport()`

  - ### getTestReport

    public DocumentListType getTestReport()
    Ingescande versie van het testrapport.
    Returns:
      possible object is `DocumentListType`

  - ### setTestReport

    public void setTestReport(DocumentListType value)
    Sets the value of the testReport property.
    Parameters:
      `value` - allowed object is `DocumentListType`
    See Also:
      - `getTestReport()`

  - ### isIsAccident

    public boolean isIsAccident()
    Ja/neen veld om aan te geven of het om een ongeval gaat. Dit is belangrijke informatie voor mogelijke subrogatie.

  - ### setIsAccident

    public void setIsAccident(boolean value)
    Sets the value of the isAccident property.

  - ### getHospitalization

    public HospitalizationType getHospitalization()
    Groeperend element met informatie over een ziekenhuisopname.
    Returns:
      possible object is `HospitalizationType`

  - ### setHospitalization

    public void setHospitalization(HospitalizationType value)
    Sets the value of the hospitalization property.
    Parameters:
      `value` - allowed object is `HospitalizationType`
    See Also:
      - `getHospitalization()`